Loading...
Searching...
No Matches
Dune::InvalidStateException Class Reference
Common » Exception handling

Default exception if a function was called while the object is not in a valid state for that function. More...

`#include <dune/common/exceptions.hh>`

Inheritance diagram for Dune::InvalidStateException:

## Public Member Functions

void | message (const std::string &msg)
| store string in internal message buffer
const char * | what () const noexcept override
| output internal message buffer

## Static Public Member Functions

static void | registerHook (ExceptionHook *hook)
| add a functor which is called before a Dune::Exception is emitted (see Dune::ExceptionHook)
static void | clearHook ()
| remove all hooks

## Detailed Description

Default exception if a function was called while the object is not in a valid state for that function.

The documentation for this class was generated from the following file:

- exceptions.hh